Package net.shibboleth.idp.saml.saml2.profile.config

# Interface ECPProfileConfiguration

All Superinterfaces:
  `AttributeResolvingProfileConfiguration`, `AuthenticationProfileConfiguration`, `BrowserSSOProfileConfiguration`, `BrowserSSOProfileConfiguration`, `BrowserSSOProfileConfiguration`, `Component`, `ECPProfileConfiguration`, `IdentifiedComponent`, `ProfileConfiguration`, `SAML2ProfileConfiguration`, `SAMLArtifactConsumerProfileConfiguration`, `SAMLAssertionConsumingProfileConfiguration`, `SAMLAssertionProducingProfileConfiguration`, `SAMLProfileConfiguration`

All Known Implementing Classes:
  `ECPProfileConfiguration`

public interface ECPProfileConfiguration extends BrowserSSOProfileConfiguration, ECPProfileConfiguration
Configuration support for IdP SAML 2.0 ECP profile.

## Field Summary

### Fields inherited from interface net.shibboleth.idp.saml.saml2.profile.config.BrowserSSOProfileConfiguration

`DEFAULT_DELEGATION_CHAIN_LENGTH`

### Fields inherited from interface net.shibboleth.saml.saml2.profile.config.BrowserSSOProfileConfiguration

`FEATURE_AUTHNCONTEXT, FEATURE_FORCEAUTHN, FEATURE_NAMEIDFORMAT, FEATURE_SCOPING, FEATURE_SPNAMEQUALIFIER, PROFILE_ID`

### Fields inherited from interface net.shibboleth.saml.saml2.profile.config.ECPProfileConfiguration

`PROFILE_ID`

### Fields inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`DEFAULT_DISALLOWED_FEATURES`

### Fields inherited from interface net.shibboleth.saml.profile.config.SAMLAssertionProducingProfileConfiguration

`DEFAULT_ASSERTION_LIFETIME`

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`getLocalEvents(ProfileRequestContext profileRequestContext)`
Get the set of local events to handle without a SOAP fault.

### Methods inherited from interface net.shibboleth.profile.config.AttributeResolvingProfileConfiguration

`getAttributeRecipientGroupID, getRequestedIdPAttributeNames, isResolveAttributes`

### Methods inherited from interface net.shibboleth.idp.authn.config.AuthenticationProfileConfiguration

`getAuthenticationFlows, getDefaultAuthenticationMethods, getMaxAge, getPostAuthenticationFlows, getProxyCount, isForceAuthn, isLocal`

### Methods inherited from interface net.shibboleth.idp.saml.profile.config.BrowserSSOProfileConfiguration

`getNameIDFormatPrecedence, isIncludeAttributeStatement`

### Methods inherited from interface net.shibboleth.idp.saml.saml2.profile.config.BrowserSSOProfileConfiguration

`getAuthnContextTranslationStrategy, getAuthnContextTranslationStrategyEx, getMaximumSPSessionLifetime, getMaximumTokenDelegationChainLength, getProxyAudiences, isAllowDelegation, isIgnoreScoping, isProxiedAuthnInstant, isRandomizeFriendlyName, isRequireSignedRequests, isSkipEndpointValidationWhenSigned, isSuppressAuthenticatingAuthority`

### Methods inherited from interface net.shibboleth.saml.saml2.profile.config.BrowserSSOProfileConfiguration

`getAttributeIndex, getAuthnContextComparison, getMaximumTimeSinceAuthn, getProxyCount, getRequestedAttributes, getSPNameQualifier, isCheckAddress, isCheckInResponseTo, isForceAuthn`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`getDisallowedFeatures, getSecurityConfiguration, isFeatureDisallowed`

### Methods inherited from interface net.shibboleth.saml.saml2.profile.config.SAML2ProfileConfiguration

`isEncryptionOptional, isEncryptNameIDs, isIgnoreRequestSignatures`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLArtifactConsumerProfileConfiguration

`isClientTLSArtifactRequests, isSignArtifactRequests`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLAssertionConsumingProfileConfiguration

`getAssertionAudiences, getAssertionLifetime, isRequireSignedAssertions`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLAssertionProducingProfileConfiguration

`getAssertionAudiences, getAssertionLifetime, isIncludeConditionsNotBefore, isSignAssertions`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLProfileConfiguration

`getMessageHandler, isSignRequests, isSignResponses`

## Method Details

### getLocalEvents

@ConfigurationSetting(name="localEvents") @Nonnull @NotLive @Unmodifiable Set<String> getLocalEvents(@Nullable ProfileRequestContext profileRequestContext)
Get the set of local events to handle without a SOAP fault.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  truly local events
Since:
  3.3.0